org.eclipse.graphiti.features.context.impl

## Class UpdateContext

- java.lang.Object
- - org.eclipse.graphiti.PropertyBag
  - - org.eclipse.graphiti.internal.features.context.impl.base.DefaultContext
    - - org.eclipse.graphiti.internal.features.context.impl.base.PictogramElementContext
      - - org.eclipse.graphiti.features.context.impl.UpdateContext

All Implemented Interfaces:
  IContext, IPictogramElementContext, IUpdateContext, IPropertyBag

Direct Known Subclasses:
  IdUpdateContext

    public class UpdateContext
    extends PictogramElementContext
    implements IUpdateContext

The Class UpdateContext.

### Constructor Summary

Constructors
Constructor and Description
`UpdateContext(PictogramElement pictogramElement)` Creates a new `UpdateContext`.

### Method Summary

### Methods inherited from class org.eclipse.graphiti.internal.features.context.impl.base.PictogramElementContext

`getPictogramElement, toString`

### Methods inherited from class org.eclipse.graphiti.PropertyBag

`getProperty, getPropertyKeys, putProperty`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.features.context.IPictogramElementContext

`getPictogramElement`

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

### Constructor Detail

#### UpdateContext

    public UpdateContext(PictogramElement pictogramElement)

Creates a new `UpdateContext`.

Parameters:
  `pictogramElement` - the pictogram element